Skip to content
Start here

Create a new Finetune

client.AI.Finetunes.New(ctx, params) (*FinetuneNewResponse, error)
POST/accounts/{account_id}/ai/finetunes

Creates a new fine-tuning job for a Workers AI model using custom training data.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers AI Write
ParametersExpand Collapse
params FinetuneNewParams
AccountID param.Field[string]

Path param

Model param.Field[string]

Body param

Name param.Field[string]

Body param

Description param.Field[string]optional

Body param

Public param.Field[bool]optional

Body param

ReturnsExpand Collapse
type FinetuneNewResponse struct{…}
ID string
formatuuid
CreatedAt Time
formatdate-time
Model string
ModifiedAt Time
formatdate-time
Name string
Public bool
Description stringoptional

Create a new Finetune

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/ai"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  finetune, err := client.AI.Finetunes.New(context.TODO(), ai.FinetuneNewParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    Model: cloudflare.F("model"),
    Name: cloudflare.F("name"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", finetune.ID)
}
{
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "model": "model",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "public": true,
    "description": "description"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "model": "model",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "public": true,
    "description": "description"
  },
  "success": true
}